<?php
###################################
# Copyright (c) Sternadel Michał
# http://sternadel.pl/
# All rights reserved.
# Version 1.2.1MgS
###################################


##ini_set('error_reporting', 'E_ALL ^E_NOTICE');
##ini_set('display_errors', '1');


class block_mgs_stats extends block_base {
	
    function init() {
        global $COURSE;
   //     if (isteacher($COURSE->id))
     //       $this->title = get_string('blockname','block_mgs_stats');
      //  else
            $this->title = get_string('blockname','block_mgs_stats');
        $this->version = 2010032901;
		require_once('functions.php');
    }

    function has_config() {
        return true;
    }


	function get_content() {
		global $USER, $CFG, $COURSE;
//        if ($this->content !== NULL) {
//			return $this->content;
//		}
		$this->content = new stdClass;
		$this->content->text = '';
		$this->content->footer = '';

//		if (empty($this->instance)) {
//			return $this->content;
//		}
			
			// Get context so we can check capabilities.
//		$context = get_context_instance(CONTEXT_COURSE, $COURSE->id);

	if ($USER->id) {
/*		if (!$CFG->block_mgs_stats_threshold) $roznicaczasumax=60*30; else $roznicaczasumax=$CFG->block_mgs_stats_threshold;
		if (!$CFG->block_mgs_stats_timeadd) $naliczpowylogowaniu=60*0; else $naliczpowylogowaniu=$CFG->block_mgs_stats_timeadd;
		if (!$CFG->block_mgs_stats_level1) $level1=60*60*2; else $level1=$CFG->block_mgs_stats_level1;
		if (!$CFG->block_mgs_stats_level2) $level2=60*60*20; else $level2=$CFG->block_mgs_stats_level2;
		if (!$CFG->block_mgs_stats_level3) $level3=60*60*40; else $level3=$CFG->block_mgs_stats_level3;
*/	
	if ($COURSE->id == '1') { //jesli strona glowna:
		if (isadmin()) {
			$courses=getCoursesForAdmin();
			$kurs='all_admin';
		}
		else { 
			$courses=getCoursesForUser($USER->id);
			$kurs='all';	
		}

		
		if ($courses) {
			$this->content->text .=initCSS();
			$this->content->text .= "\n<!-- copyright (c) Sternadel Michał http://sternadel.pl/?from=moodlestats Wszelkie prawa zastrzeżone -->\n";
			$this->content->text .= '<table style="width: 100%;" border="0" cellspacing="0" cellpadding="0" >';
			$this->content->text .= '<tr><td class="legend">' . get_string('course', 'block_mgs_stats') . ':</td><td class="legend">' . get_string('time', 'block_mgs_stats') . ':</td></tr>';
			foreach ($courses as $course) {
				$wyniki=getStats($USER->id, $course['courseId']);
				$this->content->text .= '<tr><td class="'.$wyniki['style'].'">';
				$this->content->text .='<a class="'.$wyniki['style']. '" href="'. $CFG->wwwroot .'/course/view.php?id=' . $course['courseId'] . '">' . $course['courseNameShort'] . '</a></td>';
				$this->content->text .= '<td class="'.$wyniki['style'].'" style="text-align: center;">';
				$this->content->text .= $wyniki['godzin'] . ' ' . get_string('hours') . ' ' . $wyniki['minut'] . ' ' . get_string('mins');
				$this->content->text .='</td></tr>';
			} //foreach
			$this->content->text .= '<tr><td colspan="2" class="legend" style="text-align: center;">';
			$this->content->text .= initLegend();
			$this->content->text .= '</td></tr>';
			$this->content->text .= '</table>';	
			}
			
	
	} // courseid=1
	
	if ($COURSE->id != 1) { // dla strony glownej pokazujemy inne dane
		
		$wartosci=getStats($USER->id, $COURSE->id);


		if ($wartosci) {
			$this->content->text .=initCSS();
			$this->content->text .= "\n<!-- copyright (c) Sternadel Michał http://sternadel.pl/?from=moodlestats Wszelkie prawa zastrzeżone -->\n";
			$this->content->text .= '<table style="width: 100%;" border="0" cellspacing="0" cellpadding="0" >';

			if ( ($wartosci['godzin'] > 0) or ($wartosci['minut'] > 0) ) {
				$this->content->text .= '<tr><td colspan="2" class="'.$wartosci['style'].'" style="text-align: center;">';
				$this->content->text .= '<b>';
				$this->content->text .= $wartosci['godzin'] . ' ' . get_string('hours') . ' ' . $wartosci['minut'] . ' ' . get_string('mins');
				$this->content->text .= '</b>';
				$this->content->text .='</td></tr>';
			}
			else {
				$this->content->text .='<tr><td colspan="2" class="level0" style="text-align: center;">';
				$this->content->text .= get_string('noavailablelogs', 'block_mgs_stats');
				$this->content->text .= '</td></tr>';
			}
		$kurs=$wartosci['kurs'];
		//jesli administrator lub nauczyciel w tym kursie, pokaz czas dla poszczegolnych studentow:
			if (isadmin() or isteacher($COURSE->id)) {
				$students=getStudentsOnCourse($COURSE->id);
				if ($students) {
					$this->content->text .= '<tr><td class="legend">' . get_string('students', 'block_mgs_stats') . ':</td><td class="legend">' . get_string('time', 'block_mgs_stats') . ':</td></tr>';
					foreach ($students as $student) {
						$wyniki=getStats($student['userId'], $student['courseId']);
						$this->content->text .= '<tr><td class="'.$wyniki['style'].'">';
						$this->content->text .='<a class="'.$wyniki['style']. '" href="'. $CFG->wwwroot .'/user/view.php?id=' . $student['userId'] . '&amp;course='.$student['courseId']. '">' . 
						 $student['lastname']. ' '. $student['firstname'] . '</a></td>';
						$this->content->text .= '<td class="'.$wyniki['style'].'" style="text-align: center;">';
						$this->content->text .= $wyniki['godzin'] . ' ' . get_string('hours') . ' ' . $wyniki['minut'] . ' ' . get_string('mins');
						$this->content->text .='</td></tr>';
					} //foreach
				}
			} // admin/teacher
				$this->content->text .= '<tr><td colspan="2" class="legend" style="text-align: center;">';
				$this->content->text .= initLegend();
				$this->content->text .= '</td></tr>';
		
		} //wartosci
		else {
			$this->content->text .='<tr><td colspan="2" class="level0" style="text-align: center;">';
			$this->content->text .= get_string('noavailablelogs', 'block_mgs_stats');
			$this->content->text .= '</td></tr>';
		}			

		
		
		$this->content->text .= '</table>';
		


	
	} //courseId != 1	
		//copyright		
		$this->content->text .= '<div class="sternadelcopy">(c) <a class="sternadelcopy" href="http://sternadel.pl/?from=moodle-';
		$this->content->text .= str_replace(' ', '', str_replace('"','', $kurs));
		$this->content->text .= '" target="_Blank">Sternadel Michał</a>';
		$this->content->text .= '</div>';
		return $this->content;        

	} //userid

// $this->content->text='dss';
// return $this->content;
	} //function

}//class

?>